cURL
curl --request GET \
--url https://api.salvy.com.br/api/v3/cost-centers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.salvy.com.br/api/v3/cost-centers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.salvy.com.br/api/v3/cost-centers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0198c2f1-3815-45b7-9e60-8e137cad845c",
"companyId": "0198c2f1-3815-45b7-9e60-8e137cad845c",
"code": "ENG-01",
"name": "Engenharia",
"status": "active",
"responsibleEmployee": {
"id": "0197aa3e-3815-45b7-9e60-8e137cad845c",
"fullName": "Maria Souza",
"workEmail": "maria.souza@empresa.com.br"
}
}{
"code": "unauthorized",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "resource-not-found",
"message": "<string>"
}{
"code": "payload-too-large",
"message": "<string>"
}{
"code": "input-validation-error",
"message": "<string>",
"details": [
{
"key": "<string>",
"message": "<string>"
}
]
}{
"code": "unknown",
"message": "<string>"
}Centros de custo
Detalhar centro de custo
Busca um centro de custo da empresa pelo ID.
GET
/
api
/
v3
/
cost-centers
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Identificador único do centro de custo.
Examples:
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
ID da empresa dona do centro de custo.
Examples:
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
Código do centro de custo definido pela empresa. Nulo quando o centro de custo não tem código.
Example:
"ENG-01"
Nome do centro de custo.
Example:
"Engenharia"
Situação do centro de custo: "active" (em uso) ou "disabled" (desativado pela empresa).
Available options:
active, disabled Example:
"active"
Colaborador responsável pelo centro de custo. Nulo quando não há responsável definido.
Show child attributes
Show child attributes